[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.Pie

Draws a filled pie-shaped wedge, from an ellipse and two radials.

## Declaration

Source position: winapih.inc line 211

`public function TWidgetSet.Pie(`
`DC: HDC;`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer;`
`sx: Integer;`
`sy: Integer;`
`ex: Integer;`
`ey: Integer`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.
`x1` |  | The bounding rectangle.
`sx` |  | The starting radial.
`ex` |  | The ending radial.

## Function result

False on failure.

## Description

The ellipse is bounded by a rectangle x1..y2.

Each radial is defined by the center of the rectangle an point, which must not necessarily reside on the ellipse. The bounding arc goes counter-clockwise from the Start to the End radial. The pie is outlined with the current pen and filled with the current brush.